import Foundation
import CoreGraphics

struct WidgetInstance: Identifiable, Codable, Hashable {
    struct Origin: Codable, Hashable {
        var x: Double
        var y: Double
    }

    let id: UUID
    let appID: UUID
    let variantID: String
    var size: WidgetSize
    var origin: Origin?

    init(id: UUID = UUID(), appID: UUID, variantID: String, size: WidgetSize, origin: Origin?) {
        self.id = id
        self.appID = appID
        self.variantID = variantID
        self.size = size
        self.origin = origin
    }
}

